Package com.independentsoft.office.odf.styles

# Class RubyStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle
com.independentsoft.office.odf.styles.RubyStyle

public class RubyStyle extends BaseStyle
Represents the ruby style.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `className, dataStyle, enableAutoUpdate, family, linkedStyleName, listStyle, masterPageName, nextStyle, outlineLevelEmpty, outlineNumberingLevel, parentStyle, styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RubyStyle()`
  Initializes a new instance of the RubyStyle class.
  `RubyStyle​(String name)`
  Initializes a new instance of the RubyStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RubyStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `RubyAlignment`
  `getAlignment()`
  Gets the horizontal alignment of the ruby text in relationship to the ruby base.
  `RubyPosition`
  `getPosition()`
  Gets the vertical position of the ruby text in relationship to the ruby base.
  `void`
  `setAlignment​(RubyAlignment alignment)`
  Sets the horizontal alignment of the ruby text in relationship to the ruby base.
  `void`
  `setPosition​(RubyPosition position)`
  Sets the vertical position of the ruby text in relationship to the ruby base.
  `String`
  `toString()`
  Converts the value of the current RubyStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `getClassName, getDataStyle, getFamily, getListStyle, getMasterPageName, getNextStyle, getOutlineNumberingLevel, getParentStyle, getStyleMappings, isEnableAutoUpdate, setClassName, setDataStyle, setEnableAutoUpdate, setListStyle, setMasterPageName, setNextStyle, setOutlineNumberingLevel, setParentStyle, toString`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RubyStyle

    public RubyStyle()
    Initializes a new instance of the RubyStyle class.

  - ### RubyStyle

    public RubyStyle​(String name)
    Initializes a new instance of the RubyStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public RubyStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `BaseStyle`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current RubyStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `BaseStyle`
    Returns:
      the string

  - ### getPosition

    public RubyPosition getPosition()
    Gets the vertical position of the ruby text in relationship to the ruby base.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(RubyPosition position)
    Sets the vertical position of the ruby text in relationship to the ruby base.
    Parameters:
      `position` - the new position

  - ### getAlignment

    public RubyAlignment getAlignment()
    Gets the horizontal alignment of the ruby text in relationship to the ruby base.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(RubyAlignment alignment)
    Sets the horizontal alignment of the ruby text in relationship to the ruby base.
    Parameters:
      `alignment` - the new alignment